Skip to main content
POST
https://api.nanoclip.ai
/
v1
/
projects
/
{project_id}
/
upload
/
complete
Complete Upload
curl --request POST \
  --url https://api.nanoclip.ai/v1/projects/{project_id}/upload/complete \
  --header 'Authorization: Bearer <token>'
{
  "project_id": "<string>",
  "status": "<string>",
  "created_at": "<string>",
  "source": {
    "type": "<string>",
    "filename": "<string>",
    "content_type": "<string>",
    "size_bytes": 123,
    "url": "<string>"
  },
  "source_size_bytes": 123,
  "duration": 123,
  "width": 123,
  "height": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Response

Successful Response

project_id
string
required
status
string
required
created_at
string
required
source
ProjectSourceResponse · object
required
source_size_bytes
integer
required
duration
number
required
width
integer
required
height
integer
required